​

Add card to iteration

POST
https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{iteration_id}/cards

Adds a card to an iteration. The card must be active and belong to one of the space's primary boards. Cards can be added to planned and active iterations only. Adding a card that belongs to another planned or active iteration moves it to the target iteration.

Path parameters
NameTypeReference
space_uidrequiredstringSpace UID
iteration_idrequiredstringIteration ID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
card_uid
required
string
minLength: 1

UID of the card to add to the iteration

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
iteration_id

string

ID of the iteration (UUID)
card_uid

string

UID of the card
added_by_uid

string

UID of the user who added the card to the iteration
removed_at

string | null

Timestamp when the card was removed from the iteration, null if still active
removed_by_uid

string | null

UID of the user who removed the card from the iteration, null if still active
sort_order

number

Sort order of the card within the iteration
created

string

Creation timestamp
updated

string

Last update timestamp
400
DescriptionResponse typeExample
Validation error or card rule violation: card is not on a primary board of the space (code 2), iteration is not planned or active (code 3), or card is not active (code 4)Object
Open
Response Attributes
NameTypeDescription
code

number

Numeric error code, present for business-rule violations
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Iteration or card not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{iteration_id}/cards' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!